+ Post New Thread
Page 358 of 554 FirstFirst ... 258 308 348 356 357 358 359 360 368 408 458 ... LastLast
Threads 8926 to 8950 of 13848

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 43,849
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 52,350
    18th Sep 2006 10:46 pm Go to last post
  1. Question Location query error

    Hi I'm trying to run a location query from a lisp but it gives an error message: "Invalid data type, or data overflow: ENNAME" I'm quoting the relevant parts of the developer help, for those...

    Started by M76‎, 4th Feb 2010 11:37 am
    • Replies: 1
    • Views: 863
    4th Feb 2010 12:36 pm Go to last post
  2. How to select objects that touch a line?

    ssget won't select the objects toching a line, only those that cross it. (ssget "_F" (list p1 p2) ) didn't select anything What method is the best for selecting these objects, if I know the...

    Started by M76‎, 1st Feb 2010 02:01 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 2,961
    4th Feb 2010 11:23 am Go to last post
  3. Rotate all attributes with a specific tag.

    JULY 28, 2009 BELOW IS THE COMPLETED REVISED CODE. THIS CODE WILL PROMPT FOR ROTATION ANGLE. CODE ALSO HAS ERROR TRAPPING AS WELL. TO USE THIS PROGRAM FOR YOUR OWN BLOCKS WITH ATTRIBUTES REFER...

    Started by The Buzzard‎, 2nd Jul 2009 06:37 pm
    3 Pages
    1 2 3
    • Replies: 26
    • Views: 8,243
    3rd Feb 2010 11:08 pm Go to last post
  4. MTEXT AutoLisp Problem

    I'm kinda embarassed to post this one, but I'm having a heck of a time creating a lisp that will create a MText entity the way I want it, where I want it... The location it puts it is never...

    Started by KRBeckman‎, 3rd Feb 2010 07:54 pm
    • Replies: 7
    • Views: 1,609
    3rd Feb 2010 09:49 pm Go to last post
  5. User-specific properties to a another drawing page

    Hello Would like the user-specific properties play in a different drawing. Can I please help defense knows not where to start there. Thanks Hallo Würde gern die Benutzerspezifischen...

    Started by dober‎, 1st Feb 2010 08:51 am
    • Replies: 1
    • Views: 931
    3rd Feb 2010 07:26 pm Go to last post
  6. Explode in AutoLisp

    Can someone please create a simple Autolisp that inserts a block into model space and then explodes it. Then run it and try to see if you can switch to paperspace and double click into viewports. ...

    Started by KRBeckman‎, 2nd Feb 2010 09:02 pm
    • Replies: 8
    • Views: 4,114
    3rd Feb 2010 06:01 pm Go to last post
  7. Looking for tool to fix General Properties

    This type of code is a little out of the scope for what I know how to do. I need a tool, if it is possible to make, that will give the option to search all objects by general properties, color,...

    Started by AQucsaiJr‎, 3rd Feb 2010 05:49 pm
    • Replies: 0
    • Views: 731
    3rd Feb 2010 05:49 pm Go to last post
  8. AutoLisp to set viewport scale and dimension scale

    I'm haveing a hard time with this, can someone tell me what I've got wrong: (defun c:bv () (setq viewport_scale (getreal "\nPlease input the viewport scale you would like to try in...

    Started by KRBeckman‎, 3rd Feb 2010 03:49 pm
    • Replies: 5
    • Views: 5,171
    3rd Feb 2010 05:35 pm Go to last post
  9. LISP Search routine

    I have an existing LISP routine for Acad r14 and I'm trying to convert it to Acad 2008, but I have no clue what I'm doing. It asks for a drawing number, then looks through a text database...

    Started by msweeney‎, 2nd Feb 2010 10:35 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 1,891
    3rd Feb 2010 05:33 pm Go to last post
  10. copy Mtxt into block

    Hey guys I hope your all good, I have a bit of a quiry to help quicken up a repetetive task. I have created a block that I put into the middle of a room and this block has various bits of...

    Started by Ozymandias‎, 3rd Feb 2010 02:39 pm
    • Replies: 4
    • Views: 1,190
    3rd Feb 2010 05:23 pm Go to last post
  11. Macro?

    Hi all, I'm looking for somethiing that puts colour, linetype and lineweight of an object by layer. Is there a macro for this? Who could help me with it as I know nothing about Visual Basic. ...

    Started by pvd‎, 2nd Feb 2010 08:23 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 2,885
    3rd Feb 2010 04:47 pm Go to last post
  12. Reactors..what are they?

    I see posts here and there about reactors. what the heck are they? I did a google search but didn't find much in the way of explanation.

    Started by guitarguy1685‎, 3rd Feb 2010 08:12 am
    • Replies: 7
    • Views: 1,870
    3rd Feb 2010 03:13 pm Go to last post
  13. The sset dilema

    Hi All Recently been working with a lot of ssets and the wp,cp methods in particular. These methods seem to be tempormental and don't select all the entities, sometimes any of the entities...

    Started by ollie‎, 3rd Feb 2010 10:03 am
    • Replies: 1
    • Views: 799
    3rd Feb 2010 12:15 pm Go to last post
  14. Regarding Changing the color of the block

    hi everybody, Iam working in autocad 2004 vba. I had tried to change the color of the block after inserted in the drawing thru vba. but I cant. can anyone help me to solve this...

    Started by vivekgrs‎, 2nd Feb 2010 05:11 pm
    • Replies: 1
    • Views: 972
    3rd Feb 2010 11:00 am Go to last post
  15. Leaders!!

    Ok, I want to be able to just do a simple leader with out having to have options at the end. Like text or what ever. :xHere's what I would love to be able to do. Do leader... pick my object and...

    Started by CadTechJGC184‎, 19th Apr 2009 06:21 pm
    3 Pages
    1 2 3
    • Replies: 23
    • Views: 4,785
    3rd Feb 2010 07:15 am Go to last post
  16. Regards... Create mesh from 3d contours lv.lsp

    I got this lisp 1 year ago, but I wasn´t using this forum nor any forum then, so today I decided to share this. I made a little graphic tutorial to follow the steps... I am not sure how this...

    Started by gilsoto13‎, 2nd Feb 2010 10:13 pm
    • Replies: 0
    • Views: 2,333
    2nd Feb 2010 10:13 pm Go to last post
  17. Another waste of time.

    So. There's a game that has become a bit popular lately, a fairly standard tower defense game on.. whatever social networking site these kids visit nowadays.. MyBook? Spaceface? Whatever it is, a...

    Started by Freerefill‎, 2nd Feb 2010 09:10 pm
    • Replies: 0
    • Views: 1,568
    2nd Feb 2010 09:10 pm Go to last post
  18. Adding DXF data

    hello again, I'm am continuing my experimentation with DXF codes. I'm want to write a lisp that will change the color and linetype of an object to color 9 and hidden2. If the color and...

    Started by guitarguy1685‎, 1st Feb 2010 06:45 pm
    • Replies: 9
    • Views: 2,039
    2nd Feb 2010 05:40 pm Go to last post
  19. me again ! -iterate through SSGET

    hi again again!:P i have a another question. what if I want to change the DXF values of multiple objects using (ssget). I'm searching for an answer. I have no idea how to do this. thanks in...

    Started by guitarguy1685‎, 1st Feb 2010 11:31 pm
    • Replies: 5
    • Views: 1,675
    2nd Feb 2010 04:46 pm Go to last post
  20. Question VBA SetXData to Entity Error

    I am trying to Set Xdata to a object in a drawing, but indicates me that the method is failling, I am trying to understand how xdata works, if someone can tell what i am doing wrong... thanks in...

    Started by Andresig‎, 1st Feb 2010 10:34 pm
    • Replies: 2
    • Views: 2,184
    2nd Feb 2010 03:28 pm Go to last post
  21. creating lines between two polylines

    Hello guys, I'd like to ask you, if there is a lisp routine, where you can create lines between two polylines, that have the same number of points - every of which point/vertex is perpendicular with...

    Started by georgi913‎, 1st Feb 2010 10:32 pm
    • Replies: 3
    • Views: 1,203
    2nd Feb 2010 12:09 am Go to last post
  22. Cool Filename update modification

    With respect to ACADE2010 I have a custom titleblock with various attributes mapped for auto updating and it works fine. However prior to using 2010 Electrical, we used to manually suffix a...

    Started by GettinBetter(work)‎, 29th Jan 2010 12:34 pm
    • Replies: 8
    • Views: 1,587
    1st Feb 2010 08:51 pm Go to last post
  23. Arrow Modifying Plant Schedule Lisp. Please help.

    Can anyone modify the following lisp for me? I found it on cadalyst and its almost what I need, but I would like a little more functionality. Here's how it works: 1) I have a block, that I...

    Started by mexmr10‎, 1st Feb 2010 12:39 am
    3 Pages
    1 2 3
    • Replies: 22
    • Views: 4,670
    1st Feb 2010 08:14 pm Go to last post
  24. SS from WP

    Can anyone show me the code for a Selection Set from a user picked Window Poly? The help only shows me one that is defined from a preset batch of coords. I also need it to only get blocks with a...

    Started by Arizona‎, 29th Jan 2010 06:12 pm
    • Replies: 7
    • Views: 2,195
    1st Feb 2010 05:17 pm Go to last post
  25. inserting block, counting them

    Hi, I have this lisp I am trying to manipulate. I am inserting a block called _REVTAG into a drawing (paperspace). What I want it to do is that I give first coordinates for this block to be...

    Started by au-s‎, 29th Jan 2010 04:06 pm
    • Replies: 6
    • Views: 2,184
    1st Feb 2010 12:48 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts